# Created by pyp2rpm-3.0.2
%global pypi_name seesaw

Name:           python-%{pypi_name}
Version:        0.9.2
Release:        1%{?dist}
Summary:        ArchiveTeam seesaw kit

License:        WTFPL
URL:            http://www.archiveteam.org/
Source0:        https://pypi.python.org/packages/89/54/4261f5a4313c1636d18543a022dfb2a1f6569311fed8ae6bf3676628ff13/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python-setuptools
BuildRequires:  python2-devel
BuildRequires:  python-sphinx

BuildRequires:  python3-setuptools
BuildRequires:  python3-devel
BuildRequires:  python3-sphinx

# For unit tests.
BuildRequires:  python2-sockjs-tornado, python3-sockjs-tornado

%description
An asynchronous toolkit for distributed web processing. Written in
Python and named after its behavior, it supports concurrent downloads,
uploads, etc.

This toolkit is well-known for Archive Team projects. It also powers
the ArchiveTeam warrior.

%package -n     python2-%{pypi_name}
Summary:        ArchiveTeam seesaw kit
%{?python_provide:%python_provide python2-%{pypi_name}}

Requires:       python-Tornado >= 4
Requires:       python-Tornado < 4.5
Requires:       python-sockjs-tornado
%description -n python2-%{pypi_name}
An asynchronous toolkit for distributed web processing. Written in
Python and named after its behavior, it supports concurrent downloads,
uploads, etc.

This toolkit is well-known for Archive Team projects. It also powers
the ArchiveTeam warrior.

%package -n     python3-%{pypi_name}
Summary:        ArchiveTeam seesaw kit
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3-Tornado >= 4
Requires:       python3-Tornado < 4.5
Requires:       python3-sockjs-tornado
%description -n python3-%{pypi_name}
An asynchronous toolkit for distributed web processing. Written in
Python and named after its behavior, it supports concurrent downloads,
uploads, etc.

This toolkit is well-known for Archive Team projects. It also powers
the ArchiveTeam warrior.

%package -n python-%{pypi_name}-doc
Summary:        seesaw documentation
%description -n python-%{pypi_name}-doc
Documentation for seesaw

%prep
%autosetup -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py2_build
%py3_build
# generate html docs
sphinx-build doc html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}

%install
# Must do the subpackages' install first because the scripts in /usr/bin are
# overwritten with every setup.py install.
%py3_install
ln -sf %{_bindir}/run-pipeline3 %{buildroot}/%{_bindir}/run-pipeline%{python3_version}
ln -sf %{_bindir}/run-warrior3 %{buildroot}/%{_bindir}/run-warrior%{python3_version}

%py2_install
ln -sf %{_bindir}/run-pipeline2 %{buildroot}/%{_bindir}/run-pipeline%{python2_version}
ln -sf %{_bindir}/run-warrior2 %{buildroot}/%{_bindir}/run-warrior%{python2_version}

%files -n python2-%{pypi_name}
%doc README.md
%license LICENSE.txt
%{_bindir}/run-pipeline
%{_bindir}/run-pipeline2
%{_bindir}/run-pipeline%{python2_version}
%{_bindir}/run-warrior
%{_bindir}/run-warrior2
%{_bindir}/run-warrior%{python2_version}
%{python2_sitelib}/%{pypi_name}
%{python2_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info

%files -n python3-%{pypi_name}
%doc README.md
%license LICENSE.txt
%{_bindir}/run-pipeline3
%{_bindir}/run-pipeline%{python3_version}
%{_bindir}/run-warrior3
%{_bindir}/run-warrior%{python3_version}
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info

%files -n python-%{pypi_name}-doc
%doc html

%changelog
* Thu Apr 28 2016 Ben Rosser <rosser.bjr@gmail.com>  0.9.2-1
- Initial package.
